<?php
namespace MageWorx\ShippingRules\Block\Adminhtml\Shippingrules\Quote\Edit\Tabs;

/**
 * Interceptor class for @see \MageWorx\ShippingRules\Block\Adminhtml\Shippingrules\Quote\Edit\Tabs
 */
class Interceptor extends \MageWorx\ShippingRules\Block\Adminhtml\Shippingrules\Quote\Edit\Tabs implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Framework\Json\EncoderInterface $jsonEncoder, \Magento\Backend\Model\Auth\Session $authSession, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $jsonEncoder, $authSession, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
